package org.apache.xerces.xni.parser;

import java.io.IOException;
import java.util.Locale;
import org.apache.xerces.xni.XMLDTDContentModelHandler;
import org.apache.xerces.xni.XMLDTDHandler;
import org.apache.xerces.xni.XMLDocumentHandler;
import org.apache.xerces.xni.XNIException;

public interface XMLParserConfiguration extends XMLComponentManager {
  boolean getFeature(String paramString) throws XMLConfigurationException;
  
  void setFeature(String paramString, boolean paramBoolean) throws XMLConfigurationException;
  
  void addRecognizedFeatures(String[] paramArrayOfString);
  
  void addRecognizedProperties(String[] paramArrayOfString);
  
  Locale getLocale();
  
  void setLocale(Locale paramLocale) throws XNIException;
  
  XMLDTDContentModelHandler getDTDContentModelHandler();
  
  void setDTDContentModelHandler(XMLDTDContentModelHandler paramXMLDTDContentModelHandler);
  
  XMLDTDHandler getDTDHandler();
  
  void setDTDHandler(XMLDTDHandler paramXMLDTDHandler);
  
  XMLDocumentHandler getDocumentHandler();
  
  void setDocumentHandler(XMLDocumentHandler paramXMLDocumentHandler);
  
  XMLEntityResolver getEntityResolver();
  
  void setEntityResolver(XMLEntityResolver paramXMLEntityResolver);
  
  XMLErrorHandler getErrorHandler();
  
  void setErrorHandler(XMLErrorHandler paramXMLErrorHandler);
  
  void parse(XMLInputSource paramXMLInputSource) throws XNIException, IOException;
  
  Object getProperty(String paramString) throws XMLConfigurationException;
  
  void setProperty(String paramString, Object paramObject) throws XMLConfigurationException;
}
